package com.ruoyi.voluntary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 开卡详情对象 b_busi_cards_open_detail
 * 
 * @author voluntary
 * @date 2022-12-03
 */
public class BusiCardsOpenDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 开卡ID */
    @Excel(name = "开卡ID")
    private Long openId;

    /** 卡号 */
    @Excel(name = "卡号")
    private String cardNo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOpenId(Long openId) 
    {
        this.openId = openId;
    }

    public Long getOpenId() 
    {
        return openId;
    }
    public void setCardNo(String cardNo) 
    {
        this.cardNo = cardNo;
    }

    public String getCardNo() 
    {
        return cardNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openId", getOpenId())
            .append("cardNo", getCardNo())
            .append("createTime", getCreateTime())
            .toString();
    }
}
